import { Component, OnInit } from '@angular/core';
import { CommonService } from 'src/app/hmg-common/services/common/common.service';
import { TranslatorService } from 'src/app/hmg-common/services/translator/translator.service';

@Component({
  selector: 'app-items',
  templateUrl: './items.component.html',
  styleUrls: ['./items.component.scss'],
})
export class ItemsComponent implements OnInit {
  segment: any = '1';
  constructor(public ts: TranslatorService, public cs: CommonService,) { }

  ngOnInit() { }
  openDetails() {
    this.cs.navigateForward('/itemforsale/items-details');
  }
  segmentChanged(value) {
    this.segment = value.detail.value;
  }
  openSale() {
    this.cs.navigateForward('/itemforsale/home');
  }

}
